## psignifit3 3.0~beta.20120611.1

=== Makefile ===
# vim: set fdm=marker:
######################################################################
#
#   See COPYING file distributed along with the psignifit package for
#   the copyright and license terms
#
######################################################################

# The main Psignifit 3.x Makefile

#################### VARIABLE DEFINITIONS ################### {{{

SHELL=/bin/bash
CLI_INSTALL=$(DESTDIR)/usr/bin
SPHINX_DOCOUT=doc-html
EPYDOC_DCOOUT=api
PSIPP_DOCOUT=psipp-api
PSIPP_SRC=src
LIBRARY_PATH=$(DESTDIR)/usr/lib/
LD_LIBRARY_PATH=src/build
PYTHON=python
NOSE=nosetests -v
CLI_SRC=cli
TODAY=`date +%d-%m-%G`
LONGTODAY=`date +%G%m%d`
RELEASE_TAG=release/3.0_beta.$(LONGTODAY).1
FILENAME_PREFIX=3.0_beta.$(LONGTODAY).1
ARCHIVE_PREFIX=psignifit_${FILENAME_PREFIX}/
TAR_FILE=psignifit_${FILENAME_PREFIX}.tar
ZIP_FILE=psignifit_${FILENAME_PREFIX}.zip
WINDOWS_CLI_INSTALLER=psignifit_${FILENAME_PREFIX}_installer.exe
WINDOWS_PY_INSTALLER=psignifit_${FILENAME_PREFIX}_win32-py2.6.exe
GIT_DESCRIPTION=`git describe`
CLI_VERSION_HEADER=cli/cli_version.h
MPSIGNIFIT_VERSION=mpsignifit/psignifit_version.m
PYPSIGNIFIT_VERSION=pypsignifit/__version__.py
.PHONY : swignifit ipython psipp-doc

#}}}

#################### GROUPING FILES ################### {{{

PYTHONFILES=$(addprefix pypsignifit/, __init__.py\
	psignidata.py\
	psignierrors.py\
	psigniplot.py\
	psigobservers.py\
	pygibbsit.py)
CFILES_LIB=$(addprefix src/, bootstrap.cc\
	core.cc\
	data.cc\
	linalg.cc\
	mclist.cc\
	mcmc.cc\
	optimizer.cc\
	psychometric.cc\
	rng.cc\
	sigmoid.cc\
	special.cc\
	getstart.cc )
HFILES_LIB=$(addprefix src/, bootstrap.h\
	core.h\
	data.h\
	errors.h\
	linalg.h\
	mclist.h\
	mcmc.h\
	optimizer.h\
	prior.h\
	psychometric.h\
	rng.h\
	sigmoid.h\
	special.h\
	psipp.h\
	getstart.h)
SWIGNIFIT_INTERFACE=swignifit/swignifit_raw.i
SWIGNIFIT_AUTOGENERATED=$(addprefix swignifit/, swignifit_raw.py swignifit_raw.cxx)
SWIGNIFIT_HANDWRITTEN=$(addprefix swignifit/, interface_methods.py utility.py)
DOCFILES=$(addprefix doc-src/, \
		ADDITIONALPLOTSBOOTSTRAP.rst \
		INSTALL_WINDOWS.rst BAYESINTRO.rst \
		CONTRIBUTING.rst \
		PSYCHOMETRICFUNCTIONS.rst \
		DESIGN.rst \
		QUICKSTART.rst \
		DIFFERENCES.rst \
		swig-api.rst \
		index.rst \
		TODO.rst \
		INFLUENTIAL.rst \
		TUTORIAL_BAYES.rst \
		INSTALL_LINUX.rst \
		TUTORIAL_BOOTSTRAP.rst \
		INSTALL_MAC.rst \
		WELCOME.rst \
		INSTALL_MATLAB.rst \
		*.png )
EPYDOC_TARGET=swignifit pypsignifit

# }}}

#################### MAIN DEFINITIONS ################### {{{

build: python-build

install: python-install psipp-install

doc: python-doc psipp-doc

clean: clean-python-doc clean-python psipp-clean cli-clean mpsignifit-clean

test: swignifit-test psipp-test

test-extended: test swignifit-test-interface-extended

# }}}

#################### PYTHON DEFINITIONS ################### {{{

python-install: | psipp-build python-version swig
	if [ -n "$(DESTDIR)" ] ; then \
		$(PYTHON) setup.py install --home=$(DESTDIR);\
	else \
		$(PYTHON) setup.py install;\
	fi

python-build: | psipp-build swignifit python-version

clean-python: swignifit-clean
	-rm -rv build
	-rm pypsignifit/*.pyc
	-rm $(PYPSIGNIFIT_VERSION)
	# when building with the windows_setup.py, a setup.pyc file is created
	-rm setup.pyc

python-doc: $(DOCFILES) $(PYTHONFILES) python-build
	mkdir -p $(SPHINX_DOCOUT)/$(EPYDOC_DCOOUT)
	# epydoc -o $(SPHINX_DOCOUT)/$(EPYDOC_DCOOUT) $(EPYDOC_TARGET)
	PYTHONPATH=.:doc-src LD_LIBRARY_PATH=src/build/ sphinx-build doc-src $(SPHINX_DOCOUT)

clean-python-doc:
	-rm -rv $(SPHINX_DOCOUT)

ipython: swignifit
	ipython

python-version:
	if git rev-parse &> /dev/null ; then \
		echo "version = '"$(GIT_DESCRIPTION)"'" > $(PYPSIGNIFIT_VERSION); \
	fi

# }}}

#################### PSIPP COMMANDS ################### {{{

psipp-build:
	cd $(PSIPP_SRC) && $(MAKE)

psipp-install: psipp-build
	if ! [ -d $(LIBRARY_PATH) ] ; then\
		mkdir -p $(LIBRARY_PATH);\
	fi
	cp $(PSIPP_SRC)/build/libpsipp.so $(LIBRARY_PATH)/

psipp-doc:
	doxygen

psipp-clean:
	cd $(PSIPP_SRC) && $(MAKE) clean
	-rm -rv $(SPHINX_DOCOUT)/$(PSIPP_DOCOUT)

psipp-uninstall:
	rm $(LIBRARY_PATH)/libpsipp.so

psipp-test:
	cd $(PSIPP_SRC) && $(MAKE) test

# }}}

################### CLI COMMANDS ###################### {{{

cli-install:  cli-version cli-build psipp-install
	if [ -d $(CLI_INSTALL) ]; then \
		echo $(CLI_INSTALL) " exists adding files"; \
	else \
		mkdir $(CLI_INSTALL); \
		echo ""; echo ""; echo ""; \
		echo "WARNING: I had to create " $(CLI_INSTALL) "you will most probably have to add it to your PATH"; \
		echo ""; echo ""; echo ""; \
	fi
	cd $(CLI_SRC) &&\
	cp psignifit-mcmc psignifit-diagnostics psignifit-bootstrap psignifit-mapestimate $(CLI_INSTALL)

cli-build: cli-version psipp-build
	cd $(CLI_SRC) && $(MAKE)

cli-clean:
	cd $(CLI_SRC) && $(MAKE) clean
	-rm $(CLI_VERSION_HEADER)

cli-test: cli-install
	$(PYTHON) tests/cli_test.py

cli-uninstall:
	rm $(CLI_INSTALL)/psignifit-mcmc
	rm $(CLI_INSTALL)/psignifit-diagnostics
	rm $(CLI_INSTALL)/psignifit-bootstrap
	rm $(CLI_INSTALL)/psignifit-mapestimate

cli-version:
	if git rev-parse &> /dev/null ; then \
		echo "#ifndef CLI_VERSION_H" > $(CLI_VERSION_HEADER) ; \
		echo "#define CLI_VERSION_H" >> $(CLI_VERSION_HEADER) ; \
		echo "#define VERSION \""$(GIT_DESCRIPTION)"\"" >> $(CLI_VERSION_HEADER) ; \
		echo "#endif" >> $(CLI_VERSION_HEADER) ; \
	fi

# }}}

#################### SWIGNIFIT COMMANDS ################### {{{

swig: $(SWIGNIFIT_AUTOGENERATED)

swignifit: $(PYTHONFILES) $(CFILES) $(HFILES) $(SWIGNIFIT_AUTOGENERATED) $(SWIGNIFIT_HANDWRITTEN) setup.py psipp-build
	$(PYTHON) setup.py build_ext -i

$(SWIGNIFIT_AUTOGENERATED): $(SWIGNIFIT_INTERFACE)
	swig -c++ -python -v -Isrc  -o swignifit/swignifit_raw.cxx swignifit/swignifit_raw.i

swignifit-clean:
	-rm -rv $(SWIGNIFIT_AUTOGENERATED)
	-rm -rv swignifit/_swignifit_raw.so
	-rm -rv swignifit/*.pyc

swignifit-test: swignifit
	PYTHONPATH=. LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(NOSE) \
		tests/swignifit_raw_test.py tests/interface_test.py tests/utility_test.py

swignifit-test-raw: swignifit
	PYTHONPATH=. LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(NOSE) tests/swignifit_raw_test.py

swignifit-test-interface: swignifit
	PYTHONPATH=. LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(NOSE) tests/interface_test.py

swignifit-test-utility: swignifit
	PYTHONPATH=. LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(NOSE) tests/utility_test.py

swignifit-test-interface-extended: swignifit
	PYTHONPATH=. LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(NOSE) tests/test_interface_extended.py

# }}}

#################### PYPSIGNIFIT COMMANDS ################### {{{

pypsignifit-test:
	PYTHONPATH=. LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(PYTHON) pypsignifit/psignidata.py

# }}}


#################### MPSIGNIFIT COMMANDS ################### {{{

mpsignifit-version:
	if git rev-parse &> /dev/null ; then \
		echo "function psignifit_version()" > $(MPSIGNIFIT_VERSION) ; \
		echo "disp('"$(GIT_DESCRIPTION)"')" >> $(MPSIGNIFIT_VERSION) ; \
	fi

mpsignifit-clean:
	-rm $(MPSIGNIFIT_VERSION)

# }}}

#################### DISTRIBUTION COMMANDS ################## {{{

dist-changelog:
	if [[ `git symbolic-ref HEAD` != refs/heads/master ]] ; then \
		echo "FATAL: not on master branch!"; \
		false; \
	fi
	echo `date +%Y-%m-%d` - Psignifit-3.x - $(RELEASE_TAG) > tmp
	echo >> tmp
	echo "* " >> tmp
	echo >> tmp
	cat changelog >> tmp
	cp changelog changelog_old
	cp tmp changelog
	vi changelog +3
	if diff tmp changelog; then \
		mv changelog_old changelog; \
		echo "FATAL: changelog not modified!"; \
		false; \
	else \
		git commit changelog -m "changelog entry for upload"; \
	fi

dist-tar: python-version cli-version mpsignifit-version
	git archive --format=tar --prefix=${ARCHIVE_PREFIX} master > ${TAR_FILE}
	tar --transform "s,^,${ARCHIVE_PREFIX}," -rf ${TAR_FILE} $(PYPSIGNIFIT_VERSION) $(CLI_VERSION_HEADER) $(MPSIGNIFIT_VERSION)
	gzip ${TAR_FILE}

dist-swigged: dist-tar swig
	tar xzf ${TAR_FILE}.gz
	cp swignifit/swignifit_raw.cxx swignifit/swignifit_raw.py ${ARCHIVE_PREFIX}swignifit/
	zip -r ${ZIP_FILE} ${ARCHIVE_PREFIX}
	rm -r ${ARCHIVE_PREFIX}

dist-win: build psignifit-cli.iss cli-version
	if [ -d WindowsInstaller ]; then rm -r WindowsInstaller; fi
	cd cli && make clean && make -f MakefileMinGW
	wine $(HOME)/.wine/drive_c/Program\ Files/Inno\ Setup\ 5/ISCC.exe psignifit-cli.iss
	mv WindowsInstaller/psignifit-cli_3_beta_installer.exe ${WINDOWS_CLI_INSTALLER}

dist-win-python-installer: swig
	# Execute on Windows only!
	python windows_setup.py bdist_wininst

dist-upload-doc: python-doc
	# this upload will only work with Ingo's account
	scp -r doc-html/* igordertigor,psignifit@web.sourceforge.net:/home/groups/p/ps/psignifit/htdocs/
	git tag doc-$(LONGTODAY)
	git push origin doc-$(LONGTODAY)

dist-prepare-upload: dist-swigged dist-win
	mkdir ${ARCHIVE_PREFIX}
	cp ${ZIP_FILE} ${WINDOWS_CLI_INSTALLER} ${ARCHIVE_PREFIX}
	if [ -d dist ]; then \
		cp dist/pypsignifit-3.0beta.win32-py2.7.exe ${ARCHIVE_PREFIX}/${WINDOWS_PY_INSTALLER}; \
	else \
		echo "Installer for Python w32 has not been built; will be omitted in Upload."; \
	fi

dist-upload-archives: | dist-changelog dist-git-tag-release dist-prepare-upload
	# this upload will only work with Ingo's account
	scp -rv ${ARCHIVE_PREFIX} igordertigor,psignifit@frs.sourceforge.net:/home/frs/project/p/ps/psignifit/
	#rm -r psignifit3.0_beta_$(TODAY)
	git push origin master
	git push origin $(RELEASE_TAG)

dist-git-tag-release:
	if git tag | grep -q $(RELEASE_TAG) ; then \
		echo "A rare case of tagging twice in a day?"; \
		echo "The tag "$(RELEASE_TAG)" exists already."; \
		echo "Currently we do not support this"; \
		false; \
	fi
	git tag -s -m "Psignifit-3.x $(RELEASE_TAG)"  $(RELEASE_TAG)

# }}}

=== cli/Makefile ===
CC=g++
CFLAGS=-pg -ggdb -Wall
LFLAGS=-lm -lpsipp -pg
TODAY=`date +%d-%m-%G`
LONGTODAY=`date +%G-%m-%d`

BUILD=build

SRC=../src
export LIBRARY_PATH := $(SRC)/build
HEADERS= $(addprefix $(SRC)/, core.h data.h errors.h optimizer.h prior.h psychometric.h sigmoid.h bootstrap.h mclist.h special.h mcmc.h rng.h linalg.h getstart.h )
CLI_H= cli.h cli_utilities.h
CLI_O= $(addprefix $(BUILD)/, cli.o cli_utilities.o)

compile: psignifit-mapestimate psignifit-bootstrap psignifit-mcmc psignifit-diagnostics

clean:
	-rm -r $(BUILD)

psignifit-mapestimate: $(HEADERS) $(BUILD)/psignifit-mapestimate.o $(CLI_H) $(CLI_O)
	$(CC) -o psignifit-mapestimate $(OBJECTS) $(BUILD)/psignifit-mapestimate.o $(CLI_O) $(LFLAGS)
psignifit-bootstrap: $(HEADERS) $(BUILD)/psignifit-bootstrap.o $(CLI_H) $(CLI_O)
	$(CC) -o psignifit-bootstrap $(OBJECTS) $(BUILD)/psignifit-bootstrap.o $(CLI_O) $(LFLAGS)
psignifit-mcmc: $(HEADERS) $(BUILD)/psignifit-mcmc.o $(CLI_H) $(CLI_O)
	$(CC) -o psignifit-mcmc $(OBJECTS) $(BUILD)/psignifit-mcmc.o $(CLI_O) $(LFLAGS)
psignifit-diagnostics: $(HEADERS) $(BUILD)/psignifit-diagnostics.o $(CLI_H) $(CLI_O)
	$(CC) -o psignifit-diagnostics $(OBJECTS) $(BUILD)/psignifit-diagnostics.o $(CLI_O) $(LFLAGS)

$(BUILD)/psignifit-mapestimate.o: psignifit-mapestimate.cc $(HEADERS) $(CLI_H) $(BUILD)
	$(CC) -c $(CFLAGS) psignifit-mapestimate.cc -o $(BUILD)/psignifit-mapestimate.o
$(BUILD)/psignifit-bootstrap.o: psignifit-bootstrap.cc $(HEADERS) $(CLI_H) $(BUILD)
	$(CC) -c $(CFLAGS) psignifit-bootstrap.cc -o $(BUILD)/psignifit-bootstrap.o
$(BUILD)/psignifit-mcmc.o: psignifit-mcmc.cc $(HEADERS) $(CLI_H) $(BUILD)
	$(CC) -c $(CFLAGS) psignifit-mcmc.cc -o $(BUILD)/psignifit-mcmc.o
$(BUILD)/psignifit-diagnostics.o: psignifit-diagnostics.cc $(HEADERS) $(CLI_H) $(BUILD)
	$(CC) -c $(CFLAGS) psignifit-diagnostics.cc -o $(BUILD)/psignifit-diagnostics.o

$(BUILD)/cli.o: cli.cc cli.h
	$(CC) -c $(CFLAGS) cli.cc -o $(BUILD)/cli.o
$(BUILD)/cli_utilities.o: cli_utilities.cc cli_utilities.h
	$(CC) -c $(CFLAGS) cli_utilities.cc -o $(BUILD)/cli_utilities.o

$(BUILD):
	mkdir $(BUILD)

=== rpsignifit/DESCRIPTION ===
Package: rpsignifit
Version: 0.0
Date: 2009-27-11
Title: R interface to psignifit 2.0
Author: Ingo Fründ <ingo.fruend@tu-berlin.de>, Valentin Haenel <valentin.haenel@mailbox.tu-berlin.de>
Maintainer: Ingo Fründ <ingo.fruend@tu-berlin.de>
Depends: R (>= 2.0.1)
Suggests: coda
Description: The package offers an R interface to psignifit 2.0. It makes advanced routines for estimation
    and inference on psychometric functions available.
License: MIT

=== src/Makefile ===
######################################################################
#
#   See COPYING file distributed along with the psignifit package for
#   the copyright and license terms
#
######################################################################

# Makefile for targets in the src subdirectory

CC=g++
CFLAGS=-pg -ggdb -Wall -fPIC
LFLAGS=-lm -pg

BUILD=build
HEADERS=core.h data.h errors.h optimizer.h prior.h psychometric.h sigmoid.h bootstrap.h mclist.h special.h mcmc.h rng.h linalg.h getstart.h integrate.h
OBJECTS= $(addprefix $(BUILD)/, core.o data.o optimizer.o psychometric.o sigmoid.o bootstrap.o mclist.o special.o mcmc.o rng.o linalg.o getstart.o prior.o integrate.o)
TESTS=tests_all

libpsipp.so: $(OBJECTS) $(HEADERS)
	$(CC) -shared $(LFLAGS) $(OBJECTS) -o $(BUILD)/libpsipp.so

libpsipp.a: $(OBJECTS) $(HEADERS)
	$(CC) -static $(LFLAGS) $(OBJECTS) -o $(BUILD)/libpsipp.a

tests_all: tests_all.cc $(HEADERS) libpsipp.so testing.h
	$(CC) -c $(CFLAGS) tests_all.cc -o $(BUILD)/tests_all.o
	$(CC) $(BUILD)/tests_all.o -L$(BUILD) $(LFLAGS) -lpsipp -o tests_all

test: tests_all libpsipp.so
	LD_LIBRARY_PATH=build ./tests_all 

play: $(OBJECTS) play.cc $(HEADERS)
	$(CC) -c $(CFLAGS) play.cc -o $(BUILD)/play.o
	$(CC) $(OBJECTS) $(BUILD)/play.o $(LFLAGS) -o play

$(BUILD):
	mkdir $(BUILD)

$(BUILD)/prior.o: prior.cc $(HEADERS) | $(BUILD)
	$(CC)  -c $(CFLAGS) prior.cc -o $(BUILD)/prior.o
$(BUILD)/core.o: core.cc $(HEADERS) | $(BUILD)
	$(CC) -c $(CFLAGS) core.cc -o $(BUILD)/core.o
$(BUILD)/data.o: data.cc $(HEADERS) | $(BUILD)
	$(CC) -c $(CFLAGS) data.cc -o $(BUILD)/data.o
$(BUILD)/optimizer.o: optimizer.cc $(HEADERS)| $(BUILD)
	$(CC) -c $(CFLAGS) optimizer.cc -o $(BUILD)/optimizer.o
$(BUILD)/psychometric.o: psychometric.cc $(HEADERS)| $(BUILD)
	$(CC) -c $(CFLAGS) psychometric.cc -o $(BUILD)/psychometric.o
$(BUILD)/sigmoid.o: sigmoid.cc $(HEADERS)| $(BUILD)
	$(CC) -c $(CFLAGS) sigmoid.cc -o $(BUILD)/sigmoid.o
$(BUILD)/mclist.o: mclist.cc $(HEADERS)| $(BUILD)
	$(CC) -c $(CFLAGS) mclist.cc -o $(BUILD)/mclist.o
$(BUILD)/bootstrap.o: bootstrap.cc $(HEADERS)| $(BUILD)
	$(CC) -c $(CFLAGS) bootstrap.cc -o $(BUILD)/bootstrap.o
$(BUILD)/special.o: special.cc $(HEADERS)| $(BUILD)
	$(CC) -c $(CFLAGS) special.cc -o $(BUILD)/special.o
$(BUILD)/mcmc.o: mcmc.cc $(HEADERS)| $(BUILD)
	$(CC) -c $(CFLAGS) mcmc.cc -o $(BUILD)/mcmc.o
$(BUILD)/rng.o: rng.cc $(HEADERS)| $(BUILD)
	$(CC) -c $(CFLAGS) rng.cc -o $(BUILD)/rng.o
$(BUILD)/linalg.o: linalg.cc $(HEADERS)| $(BUILD)
	$(CC) -c $(CFLAGS) linalg.cc -o $(BUILD)/linalg.o
$(BUILD)/getstart.o: getstart.cc $(HEADERS)| $(BUILD)
	$(CC) -c $(CFLAGS) getstart.cc -o $(BUILD)/getstart.o
$(BUILD)/integrate.o: integrate.cc $(HEADERS)| $(BUILD)
	$(CC) -c $(CFLAGS) integrate.cc -o $(BUILD)/integrate.o

clean:
	-rm -rf $(BUILD)
	-rm tests_all

=== debian/changelog ===
psignifit3 (3.0~beta.20120611.1-1build1) raring; urgency=low

  * No-change rebuild to fix libc6 dependencies on powerpc.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 27 Oct 2012 03:48:41 +0100

psignifit3 (3.0~beta.20120611.1-1) unstable; urgency=low

  * Remove 'test_precision' patch, fixed upstream
  * New upstream release
  * Fix for unwritable home directories (Closes: #674969)

 -- Nikolaus Valentin Hänel <valentin.haenel@gmx.de>  Wed, 20 Jun 2012 15:24:50 +0200

psignifit3 (3.0~beta.20120503.1-1) unstable; urgency=low

  * Bumped standards version from 3.9.2 to 3.9.3, no changes required
  * Bumped the copyright year.
  * Add python-tk as dependency, ndtools showed that test fail without it
  * Add a patch to fix test precision on i386 in patches/test_precision
  * Inject debian version number into python module
  * Fix unversioned copyright format uri
  * This is a combined bugfix and feature release from upstream
  * Rename source package to psignifit3. This is what it was called in the ITP
    and it allows us to maintain the 'old' psignifit source and binary
    package.
  * Initial release (Closes: #580499)

 -- Nikolaus Valentin Hänel <valentin.haenel@gmx.de>  Sun, 27 May 2012 17:48:14 +0200

psignifit (3.0~beta.20111109.1-1) neurodebian; urgency=low

  * Neurodebian testing release

 -- Michael Hanke <mih@debian.org>  Wed, 09 Nov 2011 14:19:32 +0100

=== debian/control ===
Source: psignifit3
Section: science
Priority: extra
Maintainer: Nikolaus Valentin Hänel <valentin.haenel@gmx.de>
Uploaders: Michael Hanke <mih@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev, swig (>= 1.3.40~),
  python-support (>= 0.6), python-nose, python-numpy, python-matplotlib,
  python-scipy, python-tk
Standards-Version: 3.9.3
Homepage: http://psignifit.sourceforge.net
Vcs-Git: git://psignifit.git.sf.net/gitroot/psignifit/psignifit
Vcs-Browser: http://psignifit.git.sf.net/git/gitweb-index.cgi

Package: python-pypsignifit
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-numpy,
  python-matplotlib, python-scipy
Description: psychometric analysis of psychophysics data in Python
 Psignifit allows fitting of psychometric functions to datasets while
 maintaining full control over a large number of parameters. Psignifit
 performs the calculation of confidence intervals as well as goodness-of-fit
 tests. In addition it offers:
 .
  * full Bayesian treatment of psychometric functions including Bayesian
    model selection and goodness of fit assessment
  * identification of influential observations and outlier detection
  * flexible shape definition of the psychometric function
 .
 This package provides the Python bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This has to be exported to make some magic below work.
export DH_OPTIONS

# set the MPLCONFIGDIR to avoid writing into non writable location
export HOME=$(CURDIR)/build
export MPLCONFIGDIR=$(CURDIR)/build

%:
	dh $@ --buildsystem=python_distutils

# Assure Agg backend for matplotlib to avoid any possible complication
override_dh_auto_configure:
	mkdir -p $(MPLCONFIGDIR)
	echo "backend : Agg" >| $(MPLCONFIGDIR)/matplotlibrc
	dh_auto_configure

override_dh_auto_test:
	${MAKE} test
	dh_auto_test

override_dh_auto_build:
	$(MAKE) -C src libpsipp.so
	# Inject debian version into binary package
	echo "version = \"$$(dpkg-parsechangelog  | grep Version | cut -f2 -d' ')\"">> pypsignifit/__version__.py
	$(MAKE) swig
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) clean

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://sf.net/psignifit3/psignifit(.*)\.zip
